#include <math.h>
#include <complex>
using namespace std::complex_literals;
using namespace std;

extern std::complex<double> erf(std::complex<double>);
inline std::complex<double> conjugate(std::complex<double> c) { return std::conj(c); }
inline double conjugate(double d) { return d; }

auto Ig_ce1(const double K, const double k, const double h, const std::complex<double> Ga, const std::complex<double> Gb, const std::complex<double> erf0, const double c0, const double c1, const double c2, const double c3, const double c4) {
	const auto   t0 = 1.0/sqrt(-K*K+2.3104)*(-7.22E+2/6.25E+2)+(cos(c3*2.0)*3.9193674696E+10+(K*K)*cos(c3*2.0)*2.990948125E+10+(K*K)*pow(cos(c3*2.0),2.0)*2.009280625E+9+(K*K)*pow(sin(c3*2.0),2.0)*2.009280625E+9+(K*K)*2.009280625E+9-sqrt(2.0)*K*sin(c3*2.0)*sqrt(cos(c3*2.0)*1.793E+3-(K*K)*5.0E+3+1.3345E+4)*2.963829E+8+2.9171198484E+11)/((sqrt(2.0)*sqrt(cos(c3*2.0)*1.793E+3-(K*K)*5.0E+3+1.3345E+4)*3.306E+3-K*sin(c3*2.0)*4.4825E+4)*(cos(c3*2.0)*1.793E+3+1.3345E+4)*5.0E+1)-((K*K)*1.0/sqrt(-K*K+2.3104)*(sqrt(2.0)*sqrt(cos(c3*2.0)*1.793E+3-(K*K)*5.0E+3+1.3345E+4)*-3.306E+3+cos(c3*2.0)*sqrt(-K*K+2.3104)*4.4825E+4+sqrt(-K*K+2.3104)*3.33625E+5+K*sin(c3*2.0)*4.4825E+4))/(sqrt(2.0)*sqrt(cos(c3*2.0)*1.793E+3-(K*K)*5.0E+3+1.3345E+4)*6.612E+3-K*sin(c3*2.0)*8.965E+4);
	return t0;
}
