#include <math.h>
#include <complex>
using namespace std::complex_literals;
using namespace std;

extern std::complex<double> erf(std::complex<double>);
inline std::complex<double> conjugate(std::complex<double> c) { return std::conj(c); }
inline double conjugate(double d) { return d; }

auto Ig_ce1(const double K, const double k, const double h, const std::complex<double> Ga, const std::complex<double> Gb, const std::complex<double> erf0, const double c0, const double c1, const double c2, const double c3, const double c4) {
	const auto   t0 = ((K*K)*pow(cos(c4),2.0)*3.781815075E+9-(K*K)*pow(sin(c4),2.0)*1.130486301E+11-(K*K)*2.14751814975E+11+sqrt(2.7E+1)*K*cos(c4)*sqrt((K*K)*pow(sin(c4),2.0)*(-1.9725E-2)-(K*K)*(1.69E+2/1.0E+2)+2.88943525)*5.666598E+10+1.6560035324469E+13)/(sqrt((K*K)*pow(sin(c4),2.0)*(-1.9725E-2)-(K*K)*(1.69E+2/1.0E+2)+2.88943525)*1.473509394E+13+sqrt(2.7E+1)*K*cos(c4)*7.284454335E+10)-1.0/sqrt(-K*K+1.7689)*8.8445E-1+((K*K)*1.0/sqrt(-K*K+1.7689)*(sqrt((K*K)*pow(sin(c4),2.0)*(-1.9725E-2)-(K*K)*(1.69E+2/1.0E+2)+2.88943525)*4.788E+5-sqrt(-K*K+1.7689)*6.15501E+5+sqrt(2.7E+1)*K*cos(c4)*2.367E+3))/(sqrt((K*K)*pow(sin(c4),2.0)*(-1.9725E-2)-(K*K)*(1.69E+2/1.0E+2)+2.88943525)*9.576E+5+sqrt(2.7E+1)*K*cos(c4)*4.734E+3);
	return t0;
}
