function [S] = solution(k, g_exp_i, Ig1, Ig2, h1r, h1i, h2r, h2i)
    X1 = [0 1; 0 0];
    X2 = [0 0; 1 0];
    X3 = [1 0; 0 -1];

    g3r = (h1r - h2r)/2;
    fr  = (h1r + h2r)/2;
    g3i = (h1i - h2i)/2;
    fi  = (h1i + h2i)/2;
    
    mu_i = 2*g3i + g_exp_i;
    
    g1  = sqrt(2*pi) * exp( (2*g3r + 1i*k*mu_i)) * Ig1;
    g2  = sqrt(2*pi) * exp(-(2*g3r + 1i*k*mu_i)) * Ig2;
    g3  = g3r + 1i*k*g3i;
    f   = fr  + 1i*k*fi;

    S = exp(f) * (eye(2)+g1*X1) * (eye(2)+g2*X2) * [exp(g3) 0; 0 exp(-g3)];
end
